Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.charcode
Class ISO88595CharacterSet

    java.lang.Object
      net.sf.saxon.charcode.ISO88595CharacterSet

All Implemented Interfaces:
  CharacterSet

    public class ISO88595CharacterSet

extends Object
implements CharacterSet

Description: This class implements the CharacterSet to support ISO-8859-5 (Latin/Cyrillic) encoding. The character mapping was obtained by extracting the Unicode values from an iconv character table (iso85=ucs2) available on HP-UX 11.23.

The class was tested by transforming a document with ISO-8859-5 set as the output encoding, converting Shif_JIS output to utf-8 using iconv, and then comparing converted content to the same transformed document with utf-8 set as the output encoding.

Checked by MHK against http://www.unicode.org/Public/MAPPINGS/ISO8859/8859-5.TXT

Constructor Summary
`ISO88595CharacterSet()`

Method Summary
`String` | `getEncodingName()`
`static ISO88595CharacterSet` | `getInstance()`
`boolean` | `inCharset(int ch)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISO88595CharacterSet

    public ISO88595CharacterSet()

Method Detail

### getInstance

    public static ISO88595CharacterSet getInstance()

### inCharset

    public final boolean inCharset(int ch)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

### getEncodingName

    public final String getEncodingName()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.